////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
void main()
{
    vec4 srcColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 maskColor = texture2D(inputImageTexture2, textureCoordinate);
    //    gl_FragColor = srcColor * maskColor.a;
    gl_FragColor = mix(vec4(0., 0., 0., 0.), srcColor, maskColor.a);;
}